<div class="common-profile-header">{{'lableManageAddress' | translate: lang}}</div>
<div class="container">
  <div class="row mt-3 mb-3" *ngIf="manageAddressList !== undefined && manageAddressList.length > 0">
    <div class="col">
      <button mat-raised-button color="primary" [title]="'lableAddAddress' | translate: lang"
        (click)="onClickAddAddress()">
        <i class="fa fa-plus-circle plus-icon" aria-hidden="true"></i>
        {{'lableAddAddress' | translate: lang}}
      </button>
    </div>
  </div>
  <div class="mt-3 mb-3" *ngIf="showManageAddressDetails" class="manage-address">
    <form [formGroup]="ManageAddressForm" (ngSubmit)="saveManageAddressDetails()">
      <div class="row">
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelFirstName' | translate: lang}}</mat-label>
            <input matInput [placeholder]="'labelFirstName' | translate: lang" required formControlName="firstName"
              [maxlength]="manageRule.FIRST_NAME_MAX_LENGTH">
            <mat-hint
              *ngIf="(ManageAddressForm.controls['firstName'].invalid && (ManageAddressForm.controls['firstName'].dirty || ManageAddressForm.controls['firstName'].touched))">
              <mat-error *ngIf="ManageAddressForm.controls['firstName'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error
                *ngIf="ManageAddressForm.controls['firstName'].errors.pattern && ManageAddressForm.controls['firstName'].value.length >= manageRule.FIRST_NAME_MIN_LENGTH">
                {{'labelFirstName' | translate: lang}} {{'errorAlphabets' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="ManageAddressForm.controls['firstName'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{manageRule.FIRST_NAME_MIN_LENGTH}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelLastName' | translate: lang}}</mat-label>
            <input matInput [placeholder]="'labelLastName' | translate: lang" required formControlName="lastName"
              [maxlength]="manageRule.LAST_NAME_MAX_LENGTH">
            <mat-hint
              *ngIf="(ManageAddressForm.controls['lastName'].invalid && (ManageAddressForm.controls['lastName'].dirty || ManageAddressForm.controls['lastName'].touched))">
              <mat-error *ngIf="ManageAddressForm.controls['lastName'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error
                *ngIf="ManageAddressForm.controls['lastName'].errors.pattern && ManageAddressForm.controls['lastName'].value.length >= manageRule.LAST_NAME_MIN_LENGTH">
                {{'labelLastName' | translate: lang}} {{'errorAlphabets' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="ManageAddressForm.controls['lastName'].errors.minlength">
                {{'errorLastNameCharacter' | translate: lang}} {{manageRule.LAST_NAME_MIN_LENGTH}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelPhone' | translate: lang}}</mat-label>
            <input matInput [placeholder]="patternDetails ? patternDetails.phoneFormat : ''" required autocomplete="off"
              formControlName="Mobile">
            <span class="contry-code" matPrefix>{{countryCode}} &nbsp;</span>
            <mat-hint
              *ngIf="(ManageAddressForm.controls['Mobile'].invalid && (ManageAddressForm.controls['Mobile'].dirty || ManageAddressForm.controls['Mobile'].touched))">
              <mat-error *ngIf="ManageAddressForm.controls['Mobile'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error
                *ngIf="ManageAddressForm.controls['Mobile'].errors.pattern && !ManageAddressForm.controls['Mobile'].errors.required">
                {{'errorValidPhone' | translate: lang}}{{patternDetails.phoneFormat}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelPhone1' | translate: lang}}</mat-label>
            <input matInput [placeholder]="patternDetails ? patternDetails.phoneFormat : ''" autocomplete="off"
              formControlName="alternateMobile">
            <span class="contry-code" matPrefix>{{countryCode}} &nbsp;</span>
            <mat-hint
              *ngIf="(ManageAddressForm.controls['alternateMobile'].invalid && (ManageAddressForm.controls['alternateMobile'].dirty || ManageAddressForm.controls['alternateMobile'].touched))">
              <mat-error
                *ngIf="ManageAddressForm.controls['alternateMobile'].errors.pattern && !ManageAddressForm.controls['alternateMobile'].errors.required">
                {{'errorValidPhone' | translate: lang}}{{patternDetails.phoneFormat}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'placeholderAddress1' | translate: lang}}</mat-label>
            <input matInput [placeholder]="'placeholderAddress1' | translate: lang" required
              [maxLength]="manageRule.ADDRESS_MAX_LENGTH" formControlName="Address1">
            <mat-hint
              *ngIf="(ManageAddressForm.controls['Address1'].invalid && (ManageAddressForm.controls['Address1'].dirty || ManageAddressForm.controls['Address1'].touched))">
              <mat-error *ngIf="ManageAddressForm.controls['Address1'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="ManageAddressForm.controls['Address1'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{manageRule.ADDRESS_MIN_LENGTH}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'placeholderAddress2' | translate: lang}}</mat-label>
            <input matInput [placeholder]="'placeholderAddress2' | translate: lang" formControlName="Address2"
              [maxLength]="manageRule.ADDRESS_MAX_LENGTH">
            <mat-hint
              *ngIf="(ManageAddressForm.controls['Address2'].invalid && (ManageAddressForm.controls['Address2'].dirty || ManageAddressForm.controls['Address2'].touched))">
              <mat-error *ngIf="ManageAddressForm.controls['Address2'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{manageRule.ADDRESS_MIN_LENGTH}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <app-mat-select-search (selectionChange)="onChangeCountry($event, true)"
            [label]="'lableCountry' | translate: lang" [list]="countryList" valueField="countryId"
            [myFormControl]="ManageAddressForm.controls['Country']" [requiredMsg]="'errorRequired' | translate:lang"
            [searchPlaceholder]="'COUNTRY_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false"
            [isRequired]="true" [noResultsLabel]="'COUNTRY_SEARCH_NOT_FOUND' | translate: lang"
            displayField="countryName">
          </app-mat-select-search>
        </div>
        <div class="col-md-6">
          <app-mat-select-search (selectionChange)="onChangeState($event, true)"
            [label]="'lableState' | translate: lang" [list]="stateList" valueField="stateId"
            [myFormControl]="ManageAddressForm.controls['State']" [requiredMsg]="'errorRequired' | translate:lang"
            [searchPlaceholder]="'STATE_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
            [noResultsLabel]="'STATE_SEARCH_NOT_FOUND' | translate: lang" displayField="stateName">
          </app-mat-select-search>
        </div>

        <div class="col-md-6">
          <app-mat-select-search [label]="'REGION' | translate: lang" [list]="regionList"
            (selectionChange)="onChangeRegion(true)" valueField="regionId"
            [myFormControl]="ManageAddressForm.controls['divisionId']" [requiredMsg]="'REQUIRED' | translate:lang"
            [searchPlaceholder]="'REGION_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="true" [isRequired]="true"
            [noResultsLabel]="'REGION_SEARCH_NOT_FOUND' | translate: lang" displayField="divisionName">
          </app-mat-select-search>
        </div>
        <div class="col-md-6">
          <app-mat-select-search [label]="'DISTRICT' | translate: lang" [list]="districtList"
            (selectionChange)="onChangeDistrict(true)" valueField="districtId"
            [myFormControl]="ManageAddressForm.controls['districtId']" [requiredMsg]="'REQUIRED' | translate:lang"
            [searchPlaceholder]="'DISTRICT_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="true"
            [isRequired]="true" [noResultsLabel]="'DISTRICT_SEARCH_NOT_FOUND' | translate: lang"
            displayField="districtName">
          </app-mat-select-search>
        </div>

        <div class="col-md-6">
          <app-mat-select-search [label]="'lableCity' | translate: lang" [list]="cityList" valueField="townVillageId"
            [myFormControl]="ManageAddressForm.controls['City']" [requiredMsg]="'errorRequired' | translate:lang"
            [searchPlaceholder]="'CITY_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
            [noResultsLabel]="'CITY_SEARCH_NOT_FOUND' | translate: lang" displayField="name" [serverSide]="true"
            [dynamicSearchId]="ManageAddressForm.controls['districtId'].value"
            [cityId]="ManageAddressForm.controls['City'].value">
          </app-mat-select-search>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'lablePincode' | translate: lang}}</mat-label>
            <input matInput [placeholder]="'lablePincode' | translate: lang" required formControlName="Pincode"
              [maxLength]="manageRule.PINCODE_MAX_LENGTH" (keypress)="pinCodePatternCheck($event)">
            <mat-hint
              *ngIf="(ManageAddressForm.controls['Pincode'].invalid && (ManageAddressForm.controls['Pincode'].dirty || ManageAddressForm.controls['Pincode'].touched))">
              <mat-error *ngIf="ManageAddressForm.controls['Pincode'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error
                *ngIf="ManageAddressForm.controls['Pincode'].errors.pattern && ManageAddressForm.controls['Pincode'].value.length >= manageRule.PINCODE_MIN_LENGTH">
                {{'INVALID_ZIPCODE' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="ManageAddressForm.controls['Pincode'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{manageRule.PINCODE_MIN_LENGTH}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'placeholderAddressType' | translate: lang}}</mat-label>
            <mat-select required formControlName="AddressType">
              <mat-option *ngFor="let type of addressTypeList" [value]="type.addressTypeId">{{type.addressType}}
              </mat-option>
            </mat-select>
            <mat-hint
              *ngIf="(ManageAddressForm.controls['AddressType'].invalid && (ManageAddressForm.controls['AddressType'].dirty || ManageAddressForm.controls['AddressType'].touched))">
              <mat-error *ngIf="ManageAddressForm.controls['AddressType'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
      </div>
      <div class="row mb-3" *ngIf="showManageAddressDetails">
        <div class="col">
          <button class="m-r10" mat-raised-button color="primary" [title]="'buttonSave' | translate: lang"
            [disabled]="ManageAddressForm.invalid || buttonDisable === true">{{'buttonSave' | translate: lang}}
          </button>
          <button mat-raised-button type="button" color="primary" [title]="'buttonCancel' | translate: lang"
            (click)="resetManageAddressForm()">
            {{'buttonCancel' | translate: lang}}
          </button>
        </div>
      </div>
    </form>
  </div>
  <hr *ngIf="manageAddressList !== undefined && manageAddressList.length > 0">
  <div class="row mb-3" *ngIf="manageAddressList !== undefined &&manageAddressList.length > 0">
    <div class="col">
      <div class="address-box" *ngFor="let list of manageAddressList">
        <h6>{{list.firstName}} {{list.lastName}}</h6>
        <span class="address-type">{{list.addressTypeName}}</span>
        <span class="add-1">{{list.addressList}}</span>
        <div class="add-btn">
          <button mat-icon-button [matMenuTriggerFor]="menu">
            <mat-icon>more_vert</mat-icon>
          </button>
          <mat-menu #menu="matMenu">
            <button mat-menu-item (click)="onEdit(list.addressId)">
              <mat-icon>
                <i class="material-icons" [title]="'titleEdit' | translate: lang">mode_edit</i>
              </mat-icon>
              <span>{{'buttonEdit' | translate: lang}}</span>
            </button>
            <button mat-menu-item (click)="onDelete(list.addressId)">
              <mat-icon>
                <i class="material-icons" [title]="'titleDelete' | translate: lang">delete</i>
              </mat-icon>
              <span>{{'buttonDelete' | translate: lang}} </span>
            </button>
          </mat-menu>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="nodata-found-wrap-1"
  *ngIf="(manageAddressList === undefined || manageAddressList.length === 0) && !isLoading && !showManageAddressDetails">
  <div class="add-btn-nodata ">
    <button mat-raised-button color="primary" [title]="'lableAddAddress' | translate: lang"
      (click)="onClickAddAddress()">
      <i class="fa fa-plus-circle plus-icon" aria-hidden="true"></i>
      {{'lableAddAddress' | translate: lang}}
    </button>
  </div>
  <div class="no-data-txt">
    {{'LABEL_NO_ADDRESS' | translate: lang}}
  </div>
</div>